Author Topic: Please Help!!! on this Lisp  (Read 1135 times)

0 Members and 1 Guest are viewing this topic.

Hrishikesh

  • Guest
Please Help!!! on this Lisp
« on: August 15, 2017, 03:35:40 AM »
Hello community...
I am facing problem to use "REVERT (Express Tool)" command in my Autocad.
So I wrote a lisp which works like Revert. It works good till open same drawing & close previous copy of drawing but I stuck at this point "How to activate newly opened copy?
Can you please help me on this?
Thanks in advance...
Code - Auto/Visual Lisp: [Select]
  1. (defun c:REOPEN (/ Dwgname Readonly)
  2.  (command "QSAVE")
  3.  (setq Dwgname (strcat (getvar "DWGPREFIX") (getvar "DWGNAME")))
  4.            Dwgname
  5.            (if Readonly
  6.             :vlax-true
  7.             :vlax-false
  8.            )
  9.  )
  10.  (command "close" "Y")
  11. )
  12.  

cmwade77

  • Swamp Rat
  • Posts: 1443
Re: Please Help!!! on this Lisp
« Reply #1 on: August 15, 2017, 12:54:01 PM »
To my knowledge this can't be done purely in LISP, you will basically need your routine to create a SCRIPT file, run it, then the SCRIPT file will need to run another LISP routine to delete the script file.

I could be wrong, but this is my understanding on how this all works.